Subject: Re: [mmox] MMOX Progress tracking (Jon Watte)

From: "zedmaster" <[email-masked]>
Date: Thu, 12 Mar 2009 08:41:47 -0000

Jon makes an excellent point here; the 

----- Original Message ----- 
> Date: Wed, 11 Mar 2009 17:46:17 -0700
> From: Jon Watte <[email-masked]>
> Subject: Re: [mmox] MMOX Progress tracking

.> I am claiming that a client/server protocol does not achieve virtual 
> world interop, because there is only one world involved in the 
> connection. Thus, there is no interop between virtual worlds (plural). 
> Thus, it's not applicable to the "vendor neutral virtual world 
> interoperability" that is in the charter for this group, because, by 
> necessity, only one vendor and one world is involved at a time. Let's 
> call it scope control.
> 
> Separately, as I keep having to repeat every week, because new people 
> come to the list: I think that a standard client/server protocol solves 
> a very small, uninteresting problem. It solves the problem of having to 
> install two, three or four clients, which is a small problem. In fact, I 
> doubt you could even get very many people to pay a single dollar for the 
> convenience of not having to install two clients to be able to visit two 
> different worlds (assuming versioning could be solved at all). It 
> doesn't solve anything else -- specifically, if I want to be with person 
> A, who is in virtual world A, and person B, who is in virtual world B, 
> at the same time, a standardized server/client protocol makes no 
> difference; I still have to choose one or the other. That is a problem 
> we have now, have no good vendor neutral solution for, and need a 
> standard for.
> 
> If you want a standard for client/server connections that lets you stay 
> within the same client while switching connection between different, 
> independent worlds, just put a plugin in a browser, and write it in 
> Flash or Java. The language and the browser is the standard; it can be 
> done today (and has been done). I can, from my browser, easily surf on 
> over to another site that uses a different flash/java plug-in, and 
> connect to that other world, without losing my browser context. For all 
> intents and purposes, this looks to the user as if "the same client" 
> connects to those different worlds. The fact that very few implementors 
> do that means that that kind of interop simply isn't that interesting.
> 
> If you think it's valuable to have a client/server protocol standardized 
> through the IETF, then you should do so within a group that is 
> appropriately chartered. In my opinion, the MMOX charter is not 
> appropriate for that at the current time (and, in my opinion, that's a 
> good thing).
> 
> Sincerely,
> 
> jw
.